PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PHTML::HRule Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::HRule:
[legend]
Collaboration diagram for PHTML::HRule:
[legend]

## Public Member Functions
| HRule (const char *image=NULL, const char *attr=NULL)
virtual | ~HRule ()

## Additional Inherited Members
Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }
Protected Member Functions inherited from PHTML::ImageElement
| ImageElement (const char *nam, const char *attr, ElementInSet elmt, ElementInSet req, OptionalCRLF opt, const char *image)
virtual | ~ImageElement ()
virtual void | AddAttr (PHTML &html) const
Protected Attributes inherited from PHTML::ImageElement
const char * | srcString

## Constructor & Destructor Documentation

PHTML::HRule::HRule | ( | const char * | image = `NULL`,
|  | const char * | attr = `NULL`
| ) |  |

virtual PHTML::HRule::~HRule | ( |  | ) |
| inline virtual

The documentation for this class was generated from the following file:

- html.h